Subject: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 14 Nov 2013 11:05:21 +0100

Glenn Morris wrote:
> "Sebastien Vauban" wrote:
>
>> BTW, I was expecting it to be so, as I'm using a Git copy of Org [1] -- this
>> was not said in my mail. Hence, if a change in Org was responsible for the
>> problem, I *should* have it in both Emacs versions or not at all, no?
>
> What this for sure would mean is that it is pointless to report it here,
> as opposed to the Org list.

I know, I just wanted to write that explicitly. The problem is not Org related,
even if it's more visible within Org.

> Although you originally said:
>
>>    What's become slow:
>>    - movements (<down>, <C-home>, etc.) in Org files
>>    - movements (<down>, <C-home>, etc.) in mails
>>    - maybe other stuff (not yet tested)
>
> I don't see how point 2 can be Org-related.

It's not.

See a comparative demo when moving point in a *Gnus summary buffer* on
http://screencast.com/t/Qr5KxNgCYL. Every movement is much slower there.

Though I don't use rev 115085 much because of those problems, I tried to bite
the bullet and worked a bit more with it. I can tell you the problem is NOT
general. For example, moving point inside a Java buffer is quick, as expected.

Currently, I constantly observe the performance problem inside:

- Org files,
- Gnus summary buffers.

I don't observe it in:

- Java files,
- Gnus group buffer,
- Org files (when major mode is changed to `text').

> But then I have no idea what setup you are using.
>
> If you think Emacs is generally slow, then please post a recipe
> starting from emacs -Q that shows the problem, preferably not involving
> Org (since it has many moving parts).

I'll try to do that later today. But it seems it won't be obvious, as the only
spots where I observed them are Org and Gnus, and I guess you'd like not having
any of these two enabled in the recipe.

Best regards,
  Seb

-- 
Sebastien Vauban